Pistis
API referenceChanging a session

Switch a session's model

POST
/sessions/{id}/model

From its next model call on. Without thinking, the level stays if the model takes it, else off.

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

id*string

A session id

Request Body

application/json
  1. body
model*string

provider/model-id

thinking?ThinkingLevel
Value in"off""minimal""low""medium""high""xhigh""max"

Response Body

What it runs on now

application/json
  1. response
id*string

provider/model-id

thinking*ThinkingLevel
Value in"off""minimal""low""medium""high""xhigh""max"
Example Request
curl -X POST 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/model' \  -H 'Content-Type: application/json' \  -d '{  "model": "demo/demo"}'
Example Response
{  "id": "string",  "thinking": "off"}